﻿using System;
using System.Collections.Generic;
using Newtonsoft.Json.Linq;

namespace FarmmapsKPI.Models
{
    public class KPIOutput
    {
        public string id { get; set; }
        public KPIOutputData data { get; set; }
        public string type { get; set; }
        public string unit { get; set; }
        public string value { get; set; }
        public string duration { get; set; }
        public string quantity { get; set; }
        public string parentName { get; set; }
        public string targetValue { get; set; }
        public string thresholdValue { get; set; }
        
        public List<string> B1elements;
        public List<string> B2elements;
        public List<string> C1elements;  //TtD
        public KPIOutput()
        {
            this.B1elements = new List<string>() { "disposal", "nFixationNKgHa", "nDepositionNKgHa","nFertilizerNKgHa","sowPlantingNKgHa" };    //TODO Tamara: rename disposal to nHarvestedNKgHa
            this.B2elements = new List<string>() { "disposal", "pFertillizerNKgHa", "sowPlantingNKgHa" };    //TODO Tamara: rename from pFertilizerNKgHa to pFertilizerPKgHa; rename disposal to pHarvestedPKgHa
            this.C1elements = new List<string>() { "fertilizerEom", "greenManureEom", "cropLeftoversEom" };    //TtD

        }
    }
    public class KPIOutputData
    {
        public string area { get; set; }
        public string cropTypeCode { get; set; }
        public string cropTypeName { get; set; }
        public KPIelementsOfBalance values { get; set; }
        public KPIenvironmentMeasureData[] environmentMeasureData { get; set; }

    }
    public class KPIenvironmentMeasureData
    {
        public string date { get; set; }
        public string productCode { get; set; }
        public string productName { get; set; }
        public string quantity { get; set; }
        public string unitCode { get; set; }
        public string soilLife { get; set; }
        public string aquaticLife { get; set; }
        public string groundWater { get; set; }
    }
    public class KPIelementsOfBalance
    {
        public string disposal { get; set; }   //TODO Tamara: rename this one
        public string nFixationNKgHa { get; set; }
        public string nDepositionNKgHa { get; set; }
        public string nFertilizerNKgHa { get; set; }
        public string sowPlantingNKgHa { get; set; }
        public string pFertillizerNKgHa { get; set; }    //TODO Tamara: delete this one after renaming 
        public string pFertilizerPKgHa { get; set; }
        public string sowPlantingPKgHa { get; set; }
        public string fertilizerEom { get; set; }  //TtD
        public string greenManureEom { get; set; } //TtD
        public string cropLeftoversEom { get; set; } //TtD


    }
}